Plugin Cafe Homepage
Forum Home Forum Home > Plugin Cafe > SDK Help
  New Posts New Posts
  FAQ FAQ  Forum Search

Handling newer c4d files

Author
Message
  Topic Search Topic Search
LxLasso View Drop Down
Member
Member


Joined: 2016 Sep 19
Online Status: Offline
Posts: 4
Direct Link To This Post Topic: Handling newer c4d files
    Posted: 2018 Jan 29 at 5:12am

User Information:

Cinema 4D Version:    
Platform:      
Language(s):     C++  ;   

---------

Hi,

I am currently improving error reporting in our software when attempting to import file formats newer than currently supported.

At the moment we're linking Melange R18 and I have no problems opening an R19 file with just a cube inside. What would it take to create an R19 file that Melange R18 can't read? Is there any sample file readily available?

And - is there any way of getting retrieving more failure information beyond the nullptr I assume melange::LoadDocument() will return?

/ Lars @ Capture
Back to Top
Andreas Block View Drop Down
Forum Moderator
Forum Moderator
Avatar

Joined: 2014 Oct 01
Location: Hannover
Online Status: Offline
Posts: 1878
Direct Link To This Post Posted: 2018 Jan 30 at 5:10am
Hi Lars,

Melange won't fail on reading files from newer Cinema 4D versions. Of course I won't promise this for all future, but that's how it is now. Instead it will ignore parts of the scene it knows nothing about.
You could add a version check, to warn the user about this possibility (similar to C4D warning about missing plugins in such a situation). Check out the commandline example inside of the Melange archive to get an idea, either with HyperFile::GetFileVersion() (preferred) or by evaluating document information as shown in AlienBaseDocument::Execute() of the example.

Cheers,
Andreas
SDK Support Engineer
Back to Top

Forum Jump Forum Permissions View Drop Down

Bulletin Board Software by Web Wiz Forums® version 9.61 [Free Express Edition]
Copyright ©2001-2009 Web Wiz

This page was generated in 0.094 seconds.